Intro
With the Prompts API, you can manage and version your prompts. This is useful for tracking different versions of your prompts, managing prompt templates, and collaborating on prompt development.
Authentication
To make a call to the Prompts API, you will need to pass through your LangWatch API key in the header as X-Auth-Token. Your API key can be found on the setup page under settings.
Allowed Methods
GET /api/v1/prompts - Get all prompts for a project
POST /api/v1/prompts - Create a new prompt
GET /api/v1/prompts/:id - Get a specific prompt
PUT /api/v1/prompts/:id - Update a prompt
DELETE /api/v1/prompts/:id - Delete a prompt
GET /api/v1/prompts/:id/versions - Get all versions for a prompt
POST /api/v1/prompts/:id/versions - Create a new version for a prompt
GET /api/v1/prompts/tags - List all tags for the organization
POST /api/v1/prompts/tags - Create a new tag
PUT /api/v1/prompts/tags/:tag - Rename a tag
DELETE /api/v1/prompts/tags/:tag - Delete a tag
PUT /api/v1/prompts/:id/tags/:tag - Assign a tag to a prompt version
Auth scope: Tag CRUD endpoints (/api/v1/prompts/tags*) are organization-scoped, while tag assignment (PUT /api/v1/prompts/:id/tags/:tag) is project-scoped.
Last modified on October 12, 2026